<?php
/*
Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
	// rndc.php : v0.1

	// infos de configuration 
	require_once("utils.php");

	// constantes
	$eol		= ";\n";
	$filename	= "rndc.conf";

function write_rndc($fp,$ini) {
	global $eol;

	fwrite($fp,"\nkey \"".$ini["named_header"]["key_type"]."\" {\n");
	fwrite($fp,"\talgorithm ".$ini["named_header"]["key_algo"].$eol);
	fwrite($fp,"\tsecret \"".$ini["named_header"]["key_secret"]."\"".$eol);
	fwrite($fp,"}".$eol);
	fwrite($fp,"\noptions {\n");
	fwrite($fp,"\tdefault-key \"".$ini["named_header"]["key_type"]."\"".$eol);
	$dummy=explode(" ",$ini["named_header"]["controls_inet"]);
	fwrite($fp,"\tdefault-server ".$dummy[0].$eol);
	fwrite($fp,"\tdefault-port ".$dummy[1].$eol);
	fwrite($fp,"}".$eol."\n");	
}
/************************************************************************************/
/* 'MAIN'                                                                           */
/*                                                                                  */
/************************************************************************************/
	// ouverture du fichier de parametrage
	$ini = parse_ini_file($ini_file,TRUE);


	// ouverture du fichier de sortie
	$fp=openconf($filename.".tmp",$ini["outputdirs"]["dns"]);

	write_rndc($fp,$ini);

	// fermeture du fichier
        fclose($fp);

	// verification des fichiers afin de savoir si on doit faire une M.A.J.
	$path=$ini["outputdirs"]["dns"];
	if (is_maj($filename.".tmp",$path)) {	
		if (strcmp(substr($path,-1),"/") != 0 ) {
			$path=$path."/";
		}
		copy($path.$filename.".tmp",$path.$filename);
	}
	else {
		del_old_conf($filename.".tmp",$path);
	}

?>
